package ZipTie::Adapters::CheckPoint::SecurePlatform::Disconnect;

use 5.010_000;
use strict;
use warnings;

use ZipTie::CLIProtocol;
use ZipTie::Logger;
use ZipTie::Response;

use Exporter qw(import);
our @EXPORT_OK = qw(disconnect);

# Get the instance of the ZipTie::Logger module
my $LOGGER = ZipTie::Logger::get_logger();

sub disconnect
{
	# Grab the CLI protocol
	my $cliProtocol = shift;
	
	# Close this session and exit
	$cliProtocol->send("exit");
	$cliProtocol->send("exit");
	
	# Finally, disconnect from our CLIProtocol
	$cliProtocol->disconnect();
}

1;